Author Topic: (SOLVED) New builds and Dialog / Yad issues  (Read 265 times)

VastOne

  •      v-ger
  • Posts: 3841
    • View Profile
    • VSIDO Community
(SOLVED) New builds and Dialog / Yad issues
« on: January 21, 2017, 05:16:18 PM »
In rebuilding from scratch that is discussed more over here I have ran into an issue with the refractainstaller-yad not using dialog and yad correctly and I suspect it is an application I have missed

When I run refractainstaller-yad from the terminal and it gets to the tzdata configure (debconf) portion the installer gets stuck in the terminal instead of popping up the dialog menu box that is the norm

Anyone know the application needed for the correct dialog windows to pop up?

I have scoured the webz trying to trace it but am coming up empty

Every other part of the yad dialog boxes works perfectly.. it is only the Configuring tzdata menu that is not running yad

This is what it normally does and should be doing:



this is what is happening now:



and none of the functions work.. if I exit the terminal the installer continues without configuring tzdata and running from terminal to debug gives no information as to what is missing
VSIDO      VSIDO Twitter     VSIDO FB     VSIDO Google+   

I dev VSIDO

hakerdefo

  • Posts: 484
    • View Profile
    • Looking at Linux through the Windows of Life
Re: New builds and Dialog / Yad issues
« Reply #1 on: January 21, 2017, 06:24:39 PM »
Is there a script called "loc-timezn.sh" in "/usr/lib/refractainstaller/post-install" folder? If yes, can you post it here?

Cheers!!!
You Can't Always Git What You Want

hakerdefo

  • Posts: 484
    • View Profile
    • Looking at Linux through the Windows of Life
Re: New builds and Dialog / Yad issues
« Reply #2 on: January 21, 2017, 08:15:45 PM »
...and I suspect it is an application I have missed...
You perhaps missed,

Code: [Select]
libgtk2-perl
Installing this should solve the problem. If it doesn't, then install,

Code: [Select]
libgtk3-perl
If it still doesn't then the time for the kitchen-sink,

Code: [Select]
libgnome2-perl
This is the kinda problem I warned about here,

http://vsido.org/index.php?topic=1258.msg14313#msg14313

Cheers!!!
You Can't Always Git What You Want

VastOne

  •      v-ger
  • Posts: 3841
    • View Profile
    • VSIDO Community
Re: New builds and Dialog / Yad issues
« Reply #3 on: January 21, 2017, 10:27:24 PM »
You are the man hakerdefo...   8)

Code: [Select]
libgtk2-perl

was the one.. Issue resolved

I will confess I was going through the installed packages and just got to gtk stuff when the golf bug hit me like a ton of bricks... just got back from playing 27 holes in 3 hours on this beautiful 74 degree day
VSIDO      VSIDO Twitter     VSIDO FB     VSIDO Google+   

I dev VSIDO